com.aliyun.player

## Enum AliPlayerFactory.SupportFeatureType

- java.lang.Object
- - java.lang.Enum<AliPlayerFactory.SupportFeatureType>
  - - com.aliyun.player.AliPlayerFactory.SupportFeatureType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliPlayerFactory.SupportFeatureType>
  Enclosing class:
    AliPlayerFactory

      public static enum AliPlayerFactory.SupportFeatureType
      extends java.lang.Enum<AliPlayerFactory.SupportFeatureType>

  The type of the feature.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FeatureDolbyAudio` whether the device support Dolby Audio.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliPlayerFactory.SupportFeatureType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliPlayerFactory.SupportFeatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FeatureDolbyAudio

          public static final AliPlayerFactory.SupportFeatureType FeatureDolbyAudio

      whether the device support Dolby Audio.

  - ### Method Detail

    - #### values

          public static AliPlayerFactory.SupportFeatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliPlayerFactory.SupportFeatureType c : AliPlayerFactory.SupportFeatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliPlayerFactory.SupportFeatureType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null